> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Internal Transactions Advanced Filter

> Retrieves Internal Transactions with advanced from and to address filtering.

<Badge icon="flask" color="yellow">Beta</Badge>

Explore and preview data from our [Advanced Filter](https://etherscan.io/advanced-filter) page.

## Query parameters.

<ParamField query="apikey" default="YourApiKeyToken" type="string">
  Your Etherscan API key.
</ParamField>

<ParamField query="chainid" default="1" type="string">
  Chain ID to query, such as `1` for Ethereum or `8453` for Base from our [supported chains](/supported-chains).
</ParamField>

<ParamField query="module" default="account" type="string">
  Set to `account` for this endpoint.
</ParamField>

<ParamField query="action" default="txlistinternal" type="string">
  Set to `txlistinternal` for this endpoint.
</ParamField>

<ParamField query="from" default="0x73605779985A11B8Fe32E6eD5ae5F249FFD0D7f0" type="string">
  The sender address to filter transactions by.
</ParamField>

<ParamField query="to" default="0x71c7656ec7ab88b098defb751b7401b5f6d8976f" type="string">
  The recipient address to filter transactions by.
</ParamField>

<ParamField query="fromto_opr" default="or" type="string">
  Address filter operator, either `and` or `or`.

  Use `fromto_opr=and` when both `from` and `to` must match. Use `fromto_opr=or` when either `from` or `to` can match.
</ParamField>

<ParamField query="startblock" default="0" type="integer">
  Starting block number to search from.
</ParamField>

<ParamField query="endblock" default="latest" type="string">
  Ending block number to search to, or `latest` for the latest block.
</ParamField>

<ParamField query="sort" default="desc" type="string">
  Sort order, either `desc` for the latest transactions first or `asc` for the oldest transactions first.
</ParamField>

<ParamField query="page" default="1" type="integer">
  Page number for pagination.
</ParamField>

<ParamField query="offset" default="10" type="integer">
  Number of records per page. Use the `page` parameter for subsequent records.
</ParamField>

<ResponseExample>
  ```json theme={null}
  {
     "status":"1",
     "message":"OK",
     "result":[
        {
           "blockNumber":"2535368",
           "timeStamp":"1477837690",
           "hash":"0x8a1a9989bda84f80143181a68bc137ecefa64d0d4ebde45dd94fc0cf49e70cb6",
           "from":"0x20d42f2e99a421147acf198d775395cac2e8b03d",
           "to":"",
           "value":"0",
           "contractAddress":"0x2c1ba59d6f58433fb1eaee7d20b26ed83bda51a3",
           "input":"",
           "type":"create",
           "gas":"254791",
           "gasUsed":"46750",
           "traceId":"0",
           "isError":"0",
           "errCode":""
        }
     ]
  }
  ```
</ResponseExample>
